SpringSessionContext (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.orm.hibernate4

## Class SpringSessionContext

- java.lang.Object
- - org.springframework.orm.hibernate4.SpringSessionContext

- All Implemented Interfaces:
    Serializable, CurrentSessionContext

      public class SpringSessionContext
      extends Object
      implements CurrentSessionContext

  Implementation of Hibernate 3.1's CurrentSessionContext interface that delegates to Spring's SessionFactoryUtils for providing a Spring-managed current Session.

  This CurrentSessionContext implementation can also be specified in custom SessionFactory setup through the "hibernate.current_session_context_class" property, with the fully qualified name of this class as value.

  Since:
    3.1
  Author:
    Juergen Hoeller
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SpringSessionContext(SessionFactoryImplementor sessionFactory)` Create a new SpringSessionContext for the given Hibernate SessionFactory.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Session` | `currentSession()` Retrieve the Spring-managed Session for the current thread, if any.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SpringSessionContext

          public SpringSessionContext(SessionFactoryImplementor sessionFactory)

      Create a new SpringSessionContext for the given Hibernate SessionFactory.
      Parameters:
        `sessionFactory` - the SessionFactory to provide current Sessions for

  - ### Method Detail

    - #### currentSession

          public Session currentSession()
                                 throws HibernateException

      Retrieve the Spring-managed Session for the current thread, if any.
      Specified by:
        `currentSession` in interface `CurrentSessionContext`
      Throws:
        `HibernateException`